Subject: RE: [External] : bug#24774: 26.0.50; Menu display navigation commands

From: Drew Adams <[email-masked]>
Date: Sat, 27 Feb 2021 06:14:45 +0000

> > Where do we stop, if the criterion is "better and more sensible"
> > (which are highly subjective judgments)?
> 
> I don't think anybody claims that the non-easymenu
> way of defining menus is superior?

I'm somebody, and I claimed that explicitly.
And I gave reasons why I find it superior.

You can ignore my posts, but that doesn't
annul their arguments.

You, on the other hand, haven't provided
any reason for what you want to do (except
"smaller .elc file").  An empty claim of
"it's better" is not a great argument.

> easymenu.el is over-ripe for preloading since it's very hard to do much
> in Emacs without it being pulled in anyway -- so you get no space
> savings in practice, but just a slower Emacs.

How is it "very hard to do much in Emacs"
without pulling in easymenu?  It's easymenu
that's redundant, not "the non-easymenu way".

Your claim that easymenu is a "better, more
sensible way to define menus", and your
claims that everything that can be done the
"non-easymenu way" can be done with easymenu
(and better and more sensibly), call out for
replacing the non-easymenu way altogether.
Are you arguing in favor of that?  If not,
why not?